#!/bin/bash

###
### RMQ-КС
###
### Copyright (c) 2025, ООО Кейсистемс
###
### Версия @rmgks_ver@

# Определяем каталог выполнения текущего скрипта
dks_bashfile_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

# порт
rmq_port=$1
contsoft=$2

#------------------- Переменные ---------------------------------------------------
tag_ver=$($dks_bashfile_dir/dks_const_var.sh           tag_ver)
rmq_util_path=$($dks_bashfile_dir/dks_const_var.sh     rmq_util_path ${rmq_port})
rmq_data_path=$($dks_bashfile_dir/dks_const_var.sh     rmq_data_path ${rmq_port})

dks_cont_name=$($dks_bashfile_dir/dks_const_var.sh     dks_cont_name ${rmq_port})
dks_inst_path=$($dks_bashfile_dir/dks_const_var.sh     dks_inst_path ${rmq_port})
tag_name=$($dks_bashfile_dir/dks_const_var.sh          tag_name      ${rmq_port})

# экранируем символ слеш пути, т.к.возникает  ошибка при использовании sed
rmq_data_path=$(echo "${rmq_data_path}"| sed 's/\//\\\//g')

mkdir -p ${rmq_util_path}
#mkdir -p ${rmq_util_path}/sys
#cp ${dks_inst_path}/sh/sys/sys_const_var.sh           ${rmq_util_path}/sys/sys_const_var.sh
#cp ${dks_inst_path}/sh/sys/sys_exec_cont_ex.sh        ${rmq_util_path}/sys/sys_exec_cont_ex.sh

#----------------------  bash.sh -----------------------------------------------------

cp ${dks_inst_path}/template/bash.sh.t                   ${rmq_util_path}/bash.sh
sed -i 's/@tag_ver@/'${tag_ver}'/g'                      ${rmq_util_path}/bash.sh
sed -i 's/@rmq_port@/'${rmq_port}'/g'                    ${rmq_util_path}/bash.sh
sed -i 's/@dks_cont_name@/'${dks_cont_name}'/g'          ${rmq_util_path}/bash.sh
sed -i 's/@rmq_data_path@/'${rmq_data_path}'/g'          ${rmq_util_path}/bash.sh
sed -i 's/@contsoft@/'${contsoft}'/g'                    ${rmq_util_path}/bash.sh

chmod 777 ${rmq_util_path}/bash.sh

#----------------------  const_var.sh.t ---------------------------------------------

cp ${dks_inst_path}/template/const_var.sh.t              ${rmq_util_path}/const_var.sh
sed -i 's/@tag_ver@/'${tag_ver}'/g'                      ${rmq_util_path}/const_var.sh
sed -i 's/@contsoft@/'${contsoft}'/g'                    ${rmq_util_path}/const_var.sh

chmod 777 ${rmq_util_path}/const_var.sh

exit;




